Bug 182287 - CVE-2003-1294 xscreensaver temporary file flaws
CVE-2003-1294 xscreensaver temporary file flaws
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: xscreensaver (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-02-21 12:04 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0498
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 16:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-02-21 12:04:40 EST
+++ This bug was initially created as a clone of Bug #182286 +++

Stan Bubrouski contacted jwz the maintainer of xscreensaver
        and cc'd Red Hat security folks on 20031031 to report an
        insecure temporary file flaw introduced in xscreensaver
        version 4.14.  This was due to a bit of debugging code that
        got left in by mistake, it was removed in 4.15, and therefore
        didn't affect any RHEL releases.  This was CVE-2003-0885.

However SUSE then found some other suspect temporary file issues which also got
silently fixed in 4.15 release.  I've applied for a CVE name for these.

-- Additional comment from mjc@redhat.com on 2006-02-21 12:03 EST --
Created an attachment (id=124968)
Proposed patch as used by SUSE
Comment 6 Red Hat Bugzilla 2006-05-23 16:31:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.